## dp
Class SearchProfile

    java.lang.Object
      dp.SearchProfile

    public class SearchProfile

extends Object

Field Summary
`static org.biojava.bio.dist.Distribution` `nullModel`

Constructor Summary
`SearchProfile()`

Method Summary
`static void` `main(String[] args)`
`static org.biojava.bio.seq.db.SequenceDB` `readSequenceDB(File seqFile, org.biojava.bio.symbol.Alphabet alpha)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nullModel

    public static org.biojava.bio.dist.Distribution nullModel

Constructor Detail

### SearchProfile

    public SearchProfile()

Method Detail

### main

    public static void main(String[] args)

### readSequenceDB

    public static org.biojava.bio.seq.db.SequenceDB readSequenceDB(File seqFile,
                                                                   org.biojava.bio.symbol.Alphabet alpha)
                                                            throws Exception

  Throws:
    `Exception`